<bugID>726275<Summary>Shift-click on back/forward button doesn't load page</Summary><Description>Shift-clicking on the back (or forward, when present) button should open the resulting page in a new window.

I get a new window, with the URL set to the expected page, but the page doesn't actually load.</Description></bugID>